漏洞信息详情

libsndfile 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201703-560
  • 危害等级: 高危
  • CVE编号: CVE-2017-6892
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2017-03-15
  • 威胁类型: 远程
  • 更新时间: 2019-06-11
  • 厂        商: libsndfile_project
  • 漏洞来源:

漏洞简介

libsndfile是一款用于读取和写入包含采样音频数据的声音文件的AC库。

libsndfile 1.0.28版本中的‘aiff_read_chanmap()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/erikd/libsndfile/commit/f833c53cb596e9e1792949f762e0b33661822748

参考网址

来源:MISC

链接:https://secuniaresearch.flexerasoftware.com/secunia_research/2017-13/

来源:MISC

链接:https://secuniaresearch.flexerasoftware.com/advisories/76717/

来源:CONFIRM

链接:https://github.com/erikd/libsndfile/commit/f833c53cb596e9e1792949f762e0b33661822748

来源:UBUNTU

链接:https://usn.ubuntu.com/4013-1/

来源:GENTOO

链接:https://security.gentoo.org/glsa/201811-23

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4013-1/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2063/

漏洞信息快速查询

相关漏洞

更多